<#assign detail>caption: '${item.getCaption()}', itemType: '${item.getItemType()}', name: '${item.getName()}', panel: this</#assign>
<#if item.getItemType()  == 'CONTAINER'>
new PanelContainerModel({ ${detail} })
<#elseif item.getItemType()  == 'RAWITEM'>
new PanelRawitemModel({ ${detail} })
<#elseif item.getItemType()  == 'FIELD'>
new PanelFieldModel({ ${detail} })
<#elseif item.getItemType()  == 'CONTROL'>
new PanelControlModel({ ${detail} })
<#elseif item.getItemType()  == 'BUTTON'>
new PanelButtonModel({ ${detail} })
<#elseif item.getItemType()  == 'USERCONTROL'>
new PanelUserControlModel({ ${detail} })
<#elseif item.getItemType()  == 'TABPANEL'>
new PanelTabPanelModel({ ${detail}<#if item.getPSPanelTabPages()??>,tabPages:[<#list item.getPSPanelTabPages() as tabpage>'${tabpage.getName()}<#if tabpage_has_next>,</#if>'</#list>]</#if> })
<#elseif item.getItemType()  == 'TABPAGE'>
new PanelTabPageModel({ ${detail} })
</#if>